using System;
					
public class Program
{
	public static void Main()
	{
		string[] ulaz1 = Console.ReadLine().Split( );
            int startPoz = Convert.ToInt32(ulaz1[1]);
            int brKuca = Convert.ToInt32(ulaz1[0]);
            string[] ulaz2 = Console.ReadLine().Split();
            int[] kuce = new int[brKuca];

            int levo = startPoz;
            int desno = startPoz;

            for(int i = 0; i<brKuca; i++)
            {
                kuce[i] = Convert.ToInt32(ulaz2[i]);
                if (kuce[i] < levo) levo = kuce[i];
                if (kuce[i] > desno) desno = kuce[i];
            }
            int izlaz = 0;
            if(startPoz - levo >= desno - startPoz)
            {
                izlaz = (desno - startPoz) * 2 + startPoz - levo;
            }
            else
            {
                izlaz = (startPoz - levo) * 2 + desno - startPoz;
            }
            Console.WriteLine(izlaz);
	}
}